--- old/usr/src/uts/common/avs/ns/dsw/dsw_dev.c	sam. juil. 16 15:13:28 2016
+++ new/usr/src/uts/common/avs/ns/dsw/dsw_dev.c	sam. juil. 16 15:13:28 2016
@@ -10335,52 +10335,52 @@
 }
 
 static nsc_def_t _ii_fd_def[] = {
-	"Pinned",	(uintptr_t)_ii_pinned,		0,
-	"Unpinned",	(uintptr_t)_ii_unpinned,	0,
-	0,		0,				0
+	{ "Pinned",	(uintptr_t)_ii_pinned,		0 },
+	{ "Unpinned",	(uintptr_t)_ii_unpinned,	0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
 
 
 static nsc_def_t _ii_io_def[] = {
-	"Open",		(uintptr_t)_ii_openc,		0,
-	"Close",	(uintptr_t)_ii_close,		0,
-	"Attach",	(uintptr_t)_ii_attach,		0,
-	"Detach",	(uintptr_t)_ii_detach,		0,
-	"AllocHandle",	(uintptr_t)_ii_alloc_handle,	0,
-	"FreeHandle",	(uintptr_t)_ii_free_handle,	0,
-	"AllocBuf",	(uintptr_t)_ii_alloc_buf,	0,
-	"FreeBuf",	(uintptr_t)_ii_free_buf,	0,
-	"GetPinned",	(uintptr_t)_ii_get_pinned,	0,
-	"Discard",	(uintptr_t)_ii_discard_pinned,	0,
-	"PartSize",	(uintptr_t)_ii_partsize,	0,
-	"MaxFbas",	(uintptr_t)_ii_maxfbas,	0,
-	"Read",		(uintptr_t)_ii_read,		0,
-	"Write",	(uintptr_t)_ii_write,		0,
-	"Zero",		(uintptr_t)_ii_zero,		0,
-	"Uncommit",	(uintptr_t)_ii_uncommit,	0,
-	"TrackSize",	(uintptr_t)_ii_trksize,	0,
-	"Provide",	0,				0,
-	0,		0,				0
+	{ "Open",	(uintptr_t)_ii_openc,		0 },
+	{ "Close",	(uintptr_t)_ii_close,		0 },
+	{ "Attach",	(uintptr_t)_ii_attach,		0 },
+	{ "Detach",	(uintptr_t)_ii_detach,		0 },
+	{ "AllocHandle", (uintptr_t)_ii_alloc_handle,	0 },
+	{ "FreeHandle",	(uintptr_t)_ii_free_handle,	0 },
+	{ "AllocBuf",	(uintptr_t)_ii_alloc_buf,	0 },
+	{ "FreeBuf",	(uintptr_t)_ii_free_buf,	0 },
+	{ "GetPinned",	(uintptr_t)_ii_get_pinned,	0 },
+	{ "Discard",	(uintptr_t)_ii_discard_pinned,	0 },
+	{ "PartSize",	(uintptr_t)_ii_partsize,	0 },
+	{ "MaxFbas",	(uintptr_t)_ii_maxfbas,		0 },
+	{ "Read",	(uintptr_t)_ii_read,		0 },
+	{ "Write",	(uintptr_t)_ii_write,		0 },
+	{ "Zero",	(uintptr_t)_ii_zero,		0 },
+	{ "Uncommit",	(uintptr_t)_ii_uncommit,	0 },
+	{ "TrackSize",	(uintptr_t)_ii_trksize,		0 },
+	{ "Provide",	(uintptr_t)NULL,		0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
 
 static nsc_def_t _ii_ior_def[] = {
-	"Open",		(uintptr_t)_ii_openr,		0,
-	"Close",	(uintptr_t)_ii_close,		0,
-	"Attach",	(uintptr_t)_ii_attach,		0,
-	"Detach",	(uintptr_t)_ii_detach,		0,
-	"AllocHandle",	(uintptr_t)_ii_alloc_handle,	0,
-	"FreeHandle",	(uintptr_t)_ii_free_handle,	0,
-	"AllocBuf",	(uintptr_t)_ii_alloc_buf,	0,
-	"FreeBuf",	(uintptr_t)_ii_free_buf,	0,
-	"GetPinned",	(uintptr_t)_ii_get_pinned,	0,
-	"Discard",	(uintptr_t)_ii_discard_pinned,	0,
-	"PartSize",	(uintptr_t)_ii_partsize,	0,
-	"MaxFbas",	(uintptr_t)_ii_maxfbas,	0,
-	"Read",		(uintptr_t)_ii_read,		0,
-	"Write",	(uintptr_t)_ii_write,		0,
-	"Zero",		(uintptr_t)_ii_zero,		0,
-	"Uncommit",	(uintptr_t)_ii_uncommit,	0,
-	"TrackSize",	(uintptr_t)_ii_trksize,	0,
-	"Provide",	0,				0,
-	0,		0,				0
+	{ "Open",	(uintptr_t)_ii_openr,		0 },
+	{ "Close",	(uintptr_t)_ii_close,		0 },
+	{ "Attach",	(uintptr_t)_ii_attach,		0 },
+	{ "Detach",	(uintptr_t)_ii_detach,		0 },
+	{ "AllocHandle", (uintptr_t)_ii_alloc_handle,	0 },
+	{ "FreeHandle",	(uintptr_t)_ii_free_handle,	0 },
+	{ "AllocBuf",	(uintptr_t)_ii_alloc_buf,	0 },
+	{ "FreeBuf",	(uintptr_t)_ii_free_buf,	0 },
+	{ "GetPinned",	(uintptr_t)_ii_get_pinned,	0 },
+	{ "Discard",	(uintptr_t)_ii_discard_pinned,	0 },
+	{ "PartSize",	(uintptr_t)_ii_partsize,	0 },
+	{ "MaxFbas",	(uintptr_t)_ii_maxfbas,		0 },
+	{ "Read",	(uintptr_t)_ii_read,		0 },
+	{ "Write",	(uintptr_t)_ii_write,		0 },
+	{ "Zero",	(uintptr_t)_ii_zero,		0 },
+	{ "Uncommit",	(uintptr_t)_ii_uncommit,	0 },
+	{ "TrackSize",	(uintptr_t)_ii_trksize,		0 },
+	{ "Provide",	(uintptr_t)NULL,		0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
